> ## Documentation Index
> Fetch the complete documentation index at: https://docs.perquery.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List prompt groups

> Returns the prompt groups of the site.



## OpenAPI

````yaml /api-reference/openapi.json get /v1/sites/{site_uuid}/tracking-groups
openapi: 3.0.3
info:
  title: Perquery API
  version: 1.0.0
  description: Read-only access to the data of your Perquery organization.
servers:
  - url: https://perquery.ai/api
security:
  - apiKey: []
paths:
  /v1/sites/{site_uuid}/tracking-groups:
    get:
      tags:
        - Prompts
      summary: List prompt groups
      description: Returns the prompt groups of the site.
      operationId: list_tracking_groups
      parameters:
        - in: path
          name: site_uuid
          schema:
            type: string
            format: uuid
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TrackingGroupList'
          description: ''
      security:
        - apiKey: []
components:
  schemas:
    TrackingGroupList:
      type: object
      properties:
        groups:
          type: array
          items:
            $ref: '#/components/schemas/TrackingGroup'
      required:
        - groups
    TrackingGroup:
      type: object
      properties:
        uuid:
          type: string
          format: uuid
        label:
          type: string
      required:
        - label
        - uuid
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: Authorization
      description: '`ApiKey pq_<prefix>_<secret>`. An API key gives read-only access.'

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.